exports.definition = {
	config : {
		columns : {
			title : "TEXT",
			message : "TEXT"
		},
		adapter : {
			type : "enc.db",
			collection_name : "sqlite",
			db_name : "sqliteEncryption.enc.db"
		}
	},
	extendModel : function(Model) {
		_.extend(Model.prototype, {
			// extended functions and properties go here
		});

		return Model;
	},
	extendCollection : function(Collection) {
		_.extend(Collection.prototype, {
			deleteBy : function(attribute, value) {
				var dbName = this.config.adapter.db_name,
				    db = Alloy.Globals.database.open(dbName),
				    table = this.config.adapter.collection_name,
				    sql;

				sql = 'DELETE FROM ' + table + ' WHERE ' + attribute + '=?';

				// execute the delete
				db.execute(sql, value);
				db.close();
			},

			deleteAll : function() {
				// var collection = this;
				var dbName = this.config.adapter.db_name,
				    db = Alloy.Globals.database.open(dbName),
				    table = this.config.adapter.collection_name;

				db.execute("DELETE FROM " + table);
				db.close();
				// this.trigger('sync');
			}
		});

		return Collection;
	}
};
